Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.collections.primitives
Class DoubleCollections

    java.lang.Object
      org.apache.commons.collections.primitives.DoubleCollections

public final class DoubleCollections
extends Object

This class consists exclusively of static methods that operate on or return DoubleCollections.

The methods of this class all throw a NullPoDoubleerException if the provided collection is null.

Version:
  $Revision: 1.1 $ $Date: 2003/10/29 19:39:12 $
Author:
  Rodney Waldhoff

Field Summary
`static DoubleIterator` | `EMPTY_DOUBLE_ITERATOR` An unmodifiable, empty DoubleIterator
`static DoubleList` | `EMPTY_DOUBLE_LIST` An unmodifiable, empty DoubleList
`static DoubleListIterator` | `EMPTY_DOUBLE_LIST_ITERATOR` An unmodifiable, empty DoubleListIterator

Constructor Summary
`DoubleCollections()`

Method Summary
`static DoubleIterator` | `getEmptyDoubleIterator()` Returns an unmodifiable, empty DoubleIterator
`static DoubleList` | `getEmptyDoubleList()` Returns an unmodifiable, empty DoubleList.
`static DoubleListIterator` | `getEmptyDoubleListIterator()` Returns an unmodifiable, empty DoubleListIterator
`static DoubleIterator` | `singletonDoubleIterator(double value)` Returns an unmodifiable DoubleIterator containing only the specified element.
`static DoubleList` | `singletonDoubleList(double value)` Returns an unmodifiable DoubleList containing only the specified element.
`static DoubleListIterator` | `singletonDoubleListIterator(double value)` Returns an unmodifiable DoubleListIterator containing only the specified element.
`static DoubleIterator` | `unmodifiableDoubleIterator(DoubleIterator iter)` Returns an unmodifiable version of the given non-null DoubleIterator.
`static DoubleList` | `unmodifiableDoubleList(DoubleList list)` Returns an unmodifiable version of the given non-null DoubleList.
`static DoubleListIterator` | `unmodifiableDoubleListIterator(DoubleListIterator iter)` Returns an unmodifiable version of the given non-null DoubleListIterator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_DOUBLE_LIST

    public static final DoubleList EMPTY_DOUBLE_LIST

  An unmodifiable, empty DoubleList

  See Also:
    `getEmptyDoubleList()`

### EMPTY_DOUBLE_ITERATOR

    public static final DoubleIterator EMPTY_DOUBLE_ITERATOR

  An unmodifiable, empty DoubleIterator

  See Also:
    `getEmptyDoubleIterator()`

### EMPTY_DOUBLE_LIST_ITERATOR

    public static final DoubleListIterator EMPTY_DOUBLE_LIST_ITERATOR

  An unmodifiable, empty DoubleListIterator

  See Also:
    `getEmptyDoubleListIterator()`

Constructor Detail

### DoubleCollections

    public DoubleCollections()

Method Detail

### singletonDoubleList

    public static DoubleList singletonDoubleList(double value)

  Returns an unmodifiable DoubleList containing only the specified element.

  Parameters:
    `value` - the single value
  Returns:
    an unmodifiable DoubleList containing only the specified element.

### singletonDoubleIterator

    public static DoubleIterator singletonDoubleIterator(double value)

  Returns an unmodifiable DoubleIterator containing only the specified element.

  Parameters:
    `value` - the single value
  Returns:
    an unmodifiable DoubleIterator containing only the specified element.

### singletonDoubleListIterator

    public static DoubleListIterator singletonDoubleListIterator(double value)

  Returns an unmodifiable DoubleListIterator containing only the specified element.

  Parameters:
    `value` - the single value
  Returns:
    an unmodifiable DoubleListIterator containing only the specified element.

### unmodifiableDoubleList

    public static DoubleList unmodifiableDoubleList(DoubleList list)
                                             throws NullPointerException

  Returns an unmodifiable version of the given non-null DoubleList.

  Parameters:
    `list` - the non-null DoubleList to wrap in an unmodifiable decorator
  Returns:
    an unmodifiable version of the given non-null DoubleList
  Throws:
    `NullPoDoubleerException` - if the given DoubleList is null
    `NullPointerException`
  See Also:
    `UnmodifiableDoubleList.wrap(org.apache.commons.collections.primitives.DoubleList)`

### unmodifiableDoubleIterator

    public static DoubleIterator unmodifiableDoubleIterator(DoubleIterator iter)

  Returns an unmodifiable version of the given non-null DoubleIterator.

  Parameters:
    `iter` - the non-null DoubleIterator to wrap in an unmodifiable decorator
  Returns:
    an unmodifiable version of the given non-null DoubleIterator
  Throws:
    `NullPoDoubleerException` - if the given DoubleIterator is null
  See Also:
    `UnmodifiableDoubleIterator.wrap(org.apache.commons.collections.primitives.DoubleIterator)`

### unmodifiableDoubleListIterator

    public static DoubleListIterator unmodifiableDoubleListIterator(DoubleListIterator iter)

  Returns an unmodifiable version of the given non-null DoubleListIterator.

  Parameters:
    `iter` - the non-null DoubleListIterator to wrap in an unmodifiable decorator
  Returns:
    an unmodifiable version of the given non-null DoubleListIterator
  Throws:
    `NullPoDoubleerException` - if the given DoubleListIterator is null
  See Also:
    `UnmodifiableDoubleListIterator.wrap(org.apache.commons.collections.primitives.DoubleListIterator)`

### getEmptyDoubleList

    public static DoubleList getEmptyDoubleList()

  Returns an unmodifiable, empty DoubleList.

  Returns:
    an unmodifiable, empty DoubleList.
  See Also:
    `EMPTY_DOUBLE_LIST`

### getEmptyDoubleIterator

    public static DoubleIterator getEmptyDoubleIterator()

  Returns an unmodifiable, empty DoubleIterator

  Returns:
    an unmodifiable, empty DoubleIterator.
  See Also:
    `EMPTY_DOUBLE_ITERATOR`

### getEmptyDoubleListIterator

    public static DoubleListIterator getEmptyDoubleListIterator()

  Returns an unmodifiable, empty DoubleListIterator

  Returns:
    an unmodifiable, empty DoubleListIterator.
  See Also:
    `EMPTY_DOUBLE_LIST_ITERATOR`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2003 Apache Software Foundation. All Rights Reserved.